Bug 1210960 - AVC denial for apcupsd ttyUSB0
Summary: AVC denial for apcupsd ttyUSB0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-11 13:17 UTC by Dan Callaghan
Modified: 2015-07-14 15:50 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.13.1-105.19.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-14 15:50:35 UTC


Attachments (Terms of Use)

Description Dan Callaghan 2015-04-11 13:17:48 UTC
Description of problem:
After upgrading to F21 apcupsd can no longer talk to the UPS over the USB-to-serial adapter.

Version-Release number of selected component (if applicable):
apcupsd-3.14.13-1.fc21.x86_64
selinux-policy-targeted-3.13.1-105.9.fc21.noarch

Steps to Reproduce:
1. Hook up your APC serial UPS with a USB-to-serial adapter
2. Set DEVICE /dev/ttyUSB0 in /etc/apcupsd/apcupsd.conf
3. Start apcupsd

Actual results:
type=AVC msg=audit(1428757805.201:153): avc:  denied  { read write } for  pid=780 comm="apcupsd" name="ttyUSB0" dev="devtmpfs" ino=13887 scontext=system_u:system_r:apcupsd_t:s0 tcontext=system_u:object_r:usbtty_device_t:s0 tclass=chr_file permissive=0

Expected results:
No denial, apcupsd should be able to talk to USB serial adapters.

Additional info:
Seems like a regression in F21, the same configuration was working fine in F20. See also bug 767786.

Comment 1 Lukas Vrabec 2015-04-16 18:35:59 UTC
commit 6124dd05e2eefb4444f31dc4a8469232ea98af07
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Thu Apr 16 20:32:47 2015 +0200

    Allow apcupsd to use USBttys. BZ(1210960)

Comment 2 Fedora Update System 2015-04-16 21:30:27 UTC
selinux-policy-3.13.1-105.13.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/selinux-policy-3.13.1-105.13.fc21

Comment 3 Fedora Update System 2015-04-18 09:40:18 UTC
Package selinux-policy-3.13.1-105.13.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.13.1-105.13.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-6316/selinux-policy-3.13.1-105.13.fc21
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-04-22 22:44:24 UTC
selinux-policy-3.13.1-105.13.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Dan Callaghan 2015-04-23 09:43:34 UTC
I think this was closed prematurely... seems the fix is in selinux-policy-3.13.1-105.14.fc21 (which has no update filed yet) and not selinux-policy-3.13.1-105.13.fc21.

Comment 6 Fedora Update System 2015-06-24 12:28:55 UTC
selinux-policy-3.13.1-105.18.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/selinux-policy-3.13.1-105.18.fc21

Comment 7 Fedora Update System 2015-06-25 08:22:33 UTC
Package selinux-policy-3.13.1-105.18.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.13.1-105.18.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10708/selinux-policy-3.13.1-105.18.fc21
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-06-30 07:31:23 UTC
selinux-policy-3.13.1-105.19.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/selinux-policy-3.13.1-105.19.fc21

Comment 9 Fedora Update System 2015-07-14 15:50:35 UTC
selinux-policy-3.13.1-105.19.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.